#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS += -fomit-frame-pointer -funroll-loops
FFLAGS := $(shell dpkg-buildflags --get FFLAGS)
FFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
FFLAGS += -fomit-frame-pointer -funroll-loops

ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
CFLAGS += -malign-double
FFLAGS += -malign-double
endif

ifeq ($(DEB_HOST_ARCH),alpha)
FFLAGS += -mieee
endif

CFLAGS += -c `pkg-config --cflags x11` -DDOBACK -DHASTIMER -DCOLOR_OFFSET=0.0

CC = gcc $(shell dpkg-buildflags --get LDFLAGS)
F77 = gfortran $(shell dpkg-buildflags --get LDFLAGS)
LDR = $(F77)

LIBS = `pkg-config --libs x11` -lm
LIBSOGL = `pkg-config --libs x11` -lglut -lGLU -lGL -lXmu -lm -lpthread
LIBSG = $(LIBSOGL)

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	dh_auto_build -- \
	    molden molden.noxwin molden.mpfit moldenogl gmolden short_wrl cad2mol unmullik \
	    CC="$(CC)" FC="$(F77)" LDR="$(F77)" CFLAGS="$(CFLAGS)" FFLAGS="$(FFLAGS)" \
	    LIBS="$(LIBS)" LIBSOGL="$(LIBSOGL)" LIBSG="$(LIBSG)"

override_dh_clean:
	dh_clean *.o molden molden.noxwin molden.mpfit moldenogl gmolden short_wrl cad2mol unmullik

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

.NOTPARALLEL:
